package visual

/*
 Copyright (c) 2010 Greg James, Brian Silverman, Barry Silverman

 The following is provided under terms of the Creative Commons
 Attribution-NonCommercial-ShareAlike 3.0 Unported license:
 http://creativecommons.org/licenses/by-nc-sa/3.0/

 Specify the original author as Greg James and the following URL
 for original source material:  www.visual6502.org
*/

// SegDefs defines the pullup status of a given segment (by index).
// Those marked as "unused" are missing in the javascript equivalent
// file, and set to 2 in the perfect6502 equivalent file.
var SegDefs = []bool{
	true,  // 0
	false, // 1
	false, // 2
	true,  // 3
	true,  // 4
	true,  // 5
	true,  // 6
	false, // 7
	true,  // 8
	false, // 9
	true,  // 10
	true,  // 11
	false, // 12
	false, // 13
	true,  // 14
	false, // 15
	true,  // 16
	true,  // 17
	false, // 18
	true,  // 19
	true,  // 20
	true,  // 21
	true,  // 22
	true,  // 23
	false, // 24
	true,  // 25
	true,  // 26
	true,  // 27
	false, // 28
	true,  // 29
	true,  // 30 - unused
	true,  // 31
	false, // 32
	true,  // 33
	true,  // 34
	true,  // 35
	true,  // 36
	false, // 37
	true,  // 38
	true,  // 39
	false, // 40
	false, // 41
	false, // 42
	false, // 43
	false, // 44
	false, // 45
	true,  // 46
	false, // 47
	false, // 48
	false, // 49
	false, // 50
	false, // 51
	false, // 52
	true,  // 53
	false, // 54
	false, // 55
	false, // 56
	false, // 57
	true,  // 58
	false, // 59
	true,  // 60
	true,  // 61
	true,  // 62
	true,  // 63
	false, // 64
	true,  // 65
	false, // 66
	true,  // 67
	false, // 68
	false, // 69
	true,  // 70
	true,  // 71
	true,  // 72
	false, // 73
	false, // 74
	true,  // 75
	true,  // 76
	true,  // 77
	true,  // 78
	true,  // 79
	true,  // 80
	false, // 81
	false, // 82
	true,  // 83
	true,  // 84
	false, // 85
	false, // 86
	false, // 87
	false, // 88
	true,  // 89
	true,  // 90
	true,  // 91
	false, // 92
	true,  // 93
	false, // 94
	false, // 95
	false, // 96
	true,  // 97
	false, // 98
	false, // 99
	false, // 100
	false, // 101
	false, // 102
	false, // 103
	true,  // 104
	true,  // 105
	false, // 106
	false, // 107
	true,  // 108
	true,  // 109
	true,  // 110
	true,  // 111
	false, // 112
	true,  // 113
	false, // 114
	false, // 115
	false, // 116
	true,  // 117
	true,  // 118
	false, // 119
	true,  // 120
	false, // 121
	true,  // 122
	true,  // 123
	true,  // 124
	true,  // 125
	false, // 126
	true,  // 127
	true,  // 128
	false, // 129
	true,  // 130
	true,  // 131
	true,  // 132
	true,  // 133
	true,  // 134
	false, // 135
	false, // 136
	false, // 137
	false, // 138
	true,  // 139
	false, // 140
	true,  // 141
	true,  // 142
	true,  // 143
	true,  // 144 - unused
	true,  // 145
	true,  // 146
	false, // 147
	false, // 148
	true,  // 149
	false, // 150
	false, // 151
	true,  // 152
	false, // 153
	true,  // 154
	true,  // 155
	true,  // 156
	true,  // 157
	false, // 158
	false, // 159
	true,  // 160
	true,  // 161
	false, // 162
	true,  // 163
	false, // 164
	false, // 165
	false, // 166
	true,  // 167
	true,  // 168
	true,  // 169
	false, // 170
	false, // 171
	true,  // 172
	true,  // 173 - unused
	true,  // 174
	false, // 175
	true,  // 176
	true,  // 177
	true,  // 178
	true,  // 179
	true,  // 180
	false, // 181
	true,  // 182
	false, // 183
	true,  // 184
	false, // 185
	false, // 186
	true,  // 187
	true,  // 188
	false, // 189
	false, // 190
	true,  // 191
	true,  // 192
	true,  // 193
	true,  // 194
	false, // 195
	true,  // 196
	false, // 197
	true,  // 198
	false, // 199
	true,  // 200
	true,  // 201
	false, // 202
	false, // 203
	true,  // 204
	false, // 205
	true,  // 206
	true,  // 207
	true,  // 208
	true,  // 209
	false, // 210
	false, // 211
	true,  // 212
	true,  // 213
	false, // 214
	false, // 215
	true,  // 216
	true,  // 217
	true,  // 218
	true,  // 219
	true,  // 220
	true,  // 221
	false, // 222
	false, // 223
	true,  // 224
	true,  // 225
	false, // 226
	true,  // 227
	true,  // 228
	true,  // 229
	false, // 230
	true,  // 231
	true,  // 232
	true,  // 233
	true,  // 234
	false, // 235
	true,  // 236
	false, // 237
	true,  // 238
	false, // 239
	true,  // 240
	true,  // 241
	true,  // 242
	true,  // 243
	true,  // 244
	true,  // 245
	false, // 246
	false, // 247
	false, // 248
	true,  // 249
	false, // 250
	true,  // 251
	true,  // 252
	true,  // 253
	true,  // 254
	true,  // 255
	true,  // 256
	true,  // 257
	true,  // 258
	true,  // 259
	true,  // 260
	true,  // 261
	true,  // 262
	true,  // 263
	true,  // 264
	false, // 265
	false, // 266
	true,  // 267
	false, // 268
	true,  // 269
	true,  // 270
	true,  // 271
	true,  // 272
	true,  // 273
	true,  // 274
	true,  // 275
	false, // 276
	false, // 277
	true,  // 278
	true,  // 279
	true,  // 280
	true,  // 281
	true,  // 282
	false, // 283
	true,  // 284
	true,  // 285
	true,  // 286
	true,  // 287
	true,  // 288
	false, // 289
	true,  // 290 - unused
	true,  // 291
	false, // 292
	true,  // 293
	false, // 294
	true,  // 295
	false, // 296
	true,  // 297
	false, // 298
	true,  // 299
	true,  // 300
	true,  // 301
	true,  // 302
	true,  // 303
	false, // 304
	false, // 305
	true,  // 306
	true,  // 307
	true,  // 308
	true,  // 309
	false, // 310
	true,  // 311
	true,  // 312
	false, // 313
	true,  // 314
	false, // 315
	false, // 316
	true,  // 317
	true,  // 318
	true,  // 319
	true,  // 320
	true,  // 321
	false, // 322
	false, // 323
	true,  // 324
	false, // 325
	true,  // 326
	true,  // 327
	true,  // 328
	true,  // 329
	true,  // 330
	true,  // 331
	true,  // 332
	true,  // 333
	true,  // 334
	true,  // 335
	true,  // 336
	true,  // 337
	false, // 338
	false, // 339
	true,  // 340
	true,  // 341
	true,  // 342
	false, // 343
	true,  // 344
	true,  // 345
	false, // 346
	true,  // 347
	false, // 348
	false, // 349
	true,  // 350
	true,  // 351
	true,  // 352
	false, // 353
	true,  // 354
	true,  // 355
	false, // 356
	false, // 357
	true,  // 358
	false, // 359
	false, // 360
	false, // 361
	false, // 362
	false, // 363
	false, // 364
	true,  // 365
	true,  // 366
	false, // 367
	true,  // 368
	false, // 369
	true,  // 370
	true,  // 371
	true,  // 372
	false, // 373
	true,  // 374
	false, // 375
	true,  // 376
	false, // 377
	true,  // 378
	true,  // 379
	false, // 380
	false, // 381
	true,  // 382
	true,  // 383
	true,  // 384
	true,  // 385
	true,  // 386
	false, // 387
	true,  // 388
	true,  // 389
	true,  // 390
	true,  // 391
	true,  // 392
	false, // 393
	false, // 394
	false, // 395
	true,  // 396
	true,  // 397
	false, // 398
	false, // 399
	true,  // 400
	true,  // 401
	false, // 402
	true,  // 403
	true,  // 404
	false, // 405
	false, // 406
	false, // 407
	false, // 408
	true,  // 409
	true,  // 410
	true,  // 411 - unused
	true,  // 412
	false, // 413
	false, // 414
	false, // 415
	false, // 416
	false, // 417
	false, // 418
	true,  // 419
	true,  // 420
	false, // 421
	true,  // 422
	true,  // 423
	true,  // 424
	true,  // 425
	false, // 426
	true,  // 427
	true,  // 428
	false, // 429
	false, // 430
	false, // 431
	true,  // 432
	false, // 433
	true,  // 434
	false, // 435
	true,  // 436
	false, // 437
	false, // 438
	true,  // 439
	true,  // 440
	true,  // 441
	true,  // 442
	false, // 443
	true,  // 444
	true,  // 445
	true,  // 446
	true,  // 447
	false, // 448
	false, // 449
	true,  // 450
	false, // 451
	false, // 452
	true,  // 453
	false, // 454
	false, // 455
	false, // 456
	true,  // 457
	true,  // 458
	false, // 459
	false, // 460
	true,  // 461
	true,  // 462
	false, // 463
	true,  // 464
	true,  // 465
	true,  // 466
	true,  // 467
	true,  // 468
	false, // 469
	true,  // 470
	false, // 471
	true,  // 472
	true,  // 473
	true,  // 474
	false, // 475
	true,  // 476
	true,  // 477
	true,  // 478
	true,  // 479
	true,  // 480
	true,  // 481
	false, // 482
	false, // 483
	true,  // 484
	true,  // 485
	true,  // 486
	true,  // 487
	true,  // 488
	true,  // 489
	true,  // 490
	true,  // 491
	true,  // 492
	false, // 493
	true,  // 494
	false, // 495
	true,  // 496
	true,  // 497 - unused
	false, // 498
	true,  // 499
	true,  // 500
	true,  // 501
	false, // 502
	true,  // 503
	true,  // 504
	true,  // 505
	true,  // 506
	true,  // 507
	false, // 508
	false, // 509
	true,  // 510
	false, // 511
	false, // 512
	true,  // 513
	false, // 514
	true,  // 515
	true,  // 516
	true,  // 517
	true,  // 518
	true,  // 519
	false, // 520
	false, // 521
	true,  // 522
	true,  // 523
	false, // 524
	true,  // 525
	false, // 526
	false, // 527
	true,  // 528
	false, // 529
	false, // 530
	true,  // 531
	true,  // 532
	true,  // 533
	false, // 534
	true,  // 535
	false, // 536
	false, // 537
	true,  // 538
	false, // 539
	true,  // 540
	false, // 541
	true,  // 542 - unused
	true,  // 543
	true,  // 544
	false, // 545
	true,  // 546
	false, // 547
	true,  // 548
	false, // 549
	true,  // 550
	true,  // 551
	true,  // 552
	true,  // 553
	false, // 554
	true,  // 555
	true,  // 556
	false, // 557
	false, // 558
	false, // 559
	false, // 560
	false, // 561
	false, // 562
	true,  // 563 - unused
	true,  // 564
	true,  // 565
	true,  // 566
	true,  // 567
	true,  // 568
	false, // 569
	true,  // 570
	true,  // 571
	true,  // 572
	false, // 573
	false, // 574
	true,  // 575
	false, // 576
	false, // 577
	true,  // 578
	true,  // 579
	false, // 580
	false, // 581
	true,  // 582
	true,  // 583
	false, // 584
	false, // 585
	true,  // 586
	true,  // 587
	true,  // 588
	false, // 589
	false, // 590
	false, // 591
	true,  // 592
	true,  // 593
	true,  // 594
	true,  // 595
	false, // 596
	false, // 597
	false, // 598
	false, // 599
	true,  // 600
	false, // 601
	true,  // 602
	true,  // 603
	true,  // 604
	false, // 605
	true,  // 606
	true,  // 607
	true,  // 608
	true,  // 609
	false, // 610
	true,  // 611
	false, // 612
	true,  // 613
	false, // 614
	false, // 615
	true,  // 616
	true,  // 617
	true,  // 618
	false, // 619
	true,  // 620
	false, // 621
	false, // 622
	true,  // 623
	true,  // 624
	true,  // 625
	true,  // 626
	false, // 627
	true,  // 628
	true,  // 629
	true,  // 630
	true,  // 631
	true,  // 632
	false, // 633
	false, // 634
	false, // 635
	true,  // 636
	true,  // 637
	true,  // 638
	false, // 639
	true,  // 640
	true,  // 641
	false, // 642
	false, // 643
	false, // 644
	true,  // 645
	true,  // 646
	true,  // 647
	false, // 648
	true,  // 649
	false, // 650
	true,  // 651
	true,  // 652
	false, // 653
	false, // 654
	false, // 655
	false, // 656
	false, // 657
	true,  // 658
	false, // 659
	true,  // 660
	false, // 661
	true,  // 662
	false, // 663
	true,  // 664
	true,  // 665
	false, // 666
	true,  // 667
	false, // 668
	true,  // 669
	true,  // 670
	false, // 671
	false, // 672
	true,  // 673
	true,  // 674
	false, // 675
	false, // 676
	true,  // 677
	true,  // 678
	true,  // 679
	false, // 680
	true,  // 681
	true,  // 682
	false, // 683
	false, // 684
	false, // 685
	true,  // 686
	true,  // 687
	false, // 688
	true,  // 689
	true,  // 690
	true,  // 691
	true,  // 692
	true,  // 693
	true,  // 694
	true,  // 695
	true,  // 696
	false, // 697
	false, // 698
	true,  // 699
	true,  // 700
	true,  // 701
	true,  // 702
	false, // 703
	false, // 704
	false, // 705
	false, // 706
	false, // 707
	true,  // 708
	true,  // 709
	false, // 710
	false, // 711
	true,  // 712
	true,  // 713
	true,  // 714
	true,  // 715
	false, // 716
	true,  // 717
	true,  // 718
	false, // 719
	true,  // 720
	true,  // 721
	false, // 722
	true,  // 723
	false, // 724
	true,  // 725
	true,  // 726
	false, // 727
	true,  // 728
	false, // 729
	true,  // 730
	true,  // 731
	true,  // 732
	true,  // 733
	false, // 734
	true,  // 735
	false, // 736
	false, // 737
	false, // 738
	true,  // 739
	false, // 740
	false, // 741
	false, // 742
	true,  // 743
	true,  // 744
	false, // 745
	true,  // 746
	true,  // 747
	true,  // 748
	true,  // 749 - unused
	true,  // 750
	false, // 751
	false, // 752
	true,  // 753
	true,  // 754
	true,  // 755
	false, // 756
	true,  // 757
	false, // 758
	false, // 759
	false, // 760
	true,  // 761
	true,  // 762
	true,  // 763
	true,  // 764
	true,  // 765
	false, // 766
	true,  // 767
	false, // 768
	true,  // 769
	true,  // 770
	true,  // 771
	true,  // 772
	true,  // 773
	true,  // 774
	true,  // 775
	true,  // 776
	false, // 777
	true,  // 778
	true,  // 779
	false, // 780
	true,  // 781
	true,  // 782
	true,  // 783
	true,  // 784
	false, // 785
	true,  // 786
	true,  // 787
	true,  // 788
	true,  // 789
	true,  // 790
	true,  // 791
	false, // 792
	false, // 793
	false, // 794
	true,  // 795
	false, // 796
	true,  // 797
	false, // 798
	false, // 799
	true,  // 800
	false, // 801
	false, // 802
	true,  // 803
	true,  // 804
	false, // 805
	false, // 806
	true,  // 807
	true,  // 808
	true,  // 809
	true,  // 810
	true,  // 811
	true,  // 812
	true,  // 813
	false, // 814
	true,  // 815
	false, // 816
	true,  // 817
	true,  // 818
	true,  // 819
	false, // 820
	false, // 821
	true,  // 822
	false, // 823
	true,  // 824
	false, // 825
	false, // 826
	true,  // 827
	false, // 828
	false, // 829
	true,  // 830
	true,  // 831
	false, // 832
	false, // 833
	true,  // 834
	false, // 835
	false, // 836
	true,  // 837
	true,  // 838
	true,  // 839
	true,  // 840
	true,  // 841
	true,  // 842
	false, // 843
	true,  // 844
	true,  // 845
	true,  // 846
	true,  // 847
	false, // 848
	true,  // 849
	true,  // 850
	true,  // 851
	true,  // 852
	true,  // 853
	true,  // 854
	false, // 855
	false, // 856
	true,  // 857
	false, // 858
	false, // 859
	true,  // 860
	true,  // 861
	true,  // 862
	false, // 863
	false, // 864
	false, // 865
	false, // 866
	true,  // 867
	false, // 868
	false, // 869
	true,  // 870
	true,  // 871
	true,  // 872
	false, // 873
	false, // 874
	true,  // 875
	true,  // 876
	true,  // 877
	false, // 878
	true,  // 879
	true,  // 880
	false, // 881
	true,  // 882
	true,  // 883
	true,  // 884
	true,  // 885
	false, // 886
	false, // 887
	true,  // 888
	true,  // 889
	true,  // 890
	false, // 891
	false, // 892
	false, // 893
	false, // 894
	true,  // 895
	true,  // 896
	false, // 897
	false, // 898
	false, // 899
	false, // 900
	true,  // 901
	false, // 902
	false, // 903
	true,  // 904
	true,  // 905
	true,  // 906
	false, // 907
	true,  // 908 - unused
	true,  // 909
	true,  // 910
	false, // 911
	false, // 912
	true,  // 913
	false, // 914
	true,  // 915 - unused
	true,  // 916
	true,  // 917
	true,  // 918
	true,  // 919
	true,  // 920
	false, // 921
	false, // 922
	true,  // 923
	false, // 924
	true,  // 925
	true,  // 926
	false, // 927
	true,  // 928
	true,  // 929
	true,  // 930
	true,  // 931
	true,  // 932
	true,  // 933
	true,  // 934
	true,  // 935
	true,  // 936
	true,  // 937
	true,  // 938
	false, // 939
	false, // 940
	false, // 941
	false, // 942
	false, // 943
	true,  // 944
	false, // 945
	true,  // 946
	true,  // 947
	false, // 948
	false, // 949
	true,  // 950
	true,  // 951
	true,  // 952
	true,  // 953
	true,  // 954
	false, // 955
	true,  // 956
	false, // 957
	true,  // 958
	true,  // 959
	false, // 960
	true,  // 961
	true,  // 962
	false, // 963
	true,  // 964
	true,  // 965
	true,  // 966
	true,  // 967
	false, // 968
	true,  // 969
	false, // 970
	true,  // 971
	false, // 972
	true,  // 973
	false, // 974
	true,  // 975
	true,  // 976
	false, // 977
	false, // 978
	true,  // 979
	true,  // 980
	true,  // 981
	false, // 982
	true,  // 983
	false, // 984
	true,  // 985
	true,  // 986
	true,  // 987
	true,  // 988
	false, // 989
	true,  // 990
	false, // 991
	true,  // 992
	false, // 993
	false, // 994
	true,  // 995
	true,  // 996
	true,  // 997
	true,  // 998
	false, // 999
	false, // 1000
	false, // 1001
	true,  // 1002
	true,  // 1003
	false, // 1004
	false, // 1005
	true,  // 1006
	true,  // 1007
	false, // 1008
	true,  // 1009
	true,  // 1010
	false, // 1011
	false, // 1012
	false, // 1013
	false, // 1014
	false, // 1015
	true,  // 1016
	true,  // 1017
	true,  // 1018
	true,  // 1019
	false, // 1020
	true,  // 1021
	false, // 1022
	true,  // 1023
	true,  // 1024
	true,  // 1025
	true,  // 1026
	false, // 1027
	true,  // 1028
	false, // 1029
	false, // 1030
	true,  // 1031
	true,  // 1032
	true,  // 1033
	true,  // 1034
	true,  // 1035
	false, // 1036
	true,  // 1037
	true,  // 1038
	true,  // 1039
	false, // 1040
	false, // 1041
	true,  // 1042
	true,  // 1043
	true,  // 1044
	true,  // 1045
	true,  // 1046
	true,  // 1047
	true,  // 1048
	false, // 1049
	true,  // 1050
	false, // 1051
	true,  // 1052
	false, // 1053
	true,  // 1054
	true,  // 1055
	true,  // 1056
	true,  // 1057
	false, // 1058
	false, // 1059
	false, // 1060
	false, // 1061
	false, // 1062
	true,  // 1063
	false, // 1064
	true,  // 1065
	true,  // 1066
	true,  // 1067
	false, // 1068
	true,  // 1069
	true,  // 1070
	false, // 1071
	false, // 1072
	true,  // 1073
	true,  // 1074
	true,  // 1075
	false, // 1076
	true,  // 1077
	false, // 1078
	true,  // 1079
	false, // 1080
	true,  // 1081
	true,  // 1082
	true,  // 1083
	true,  // 1084
	true,  // 1085
	true,  // 1086
	true,  // 1087
	true,  // 1088
	true,  // 1089
	true,  // 1090
	true,  // 1091
	false, // 1092
	true,  // 1093
	true,  // 1094
	false, // 1095
	true,  // 1096
	true,  // 1097
	false, // 1098
	true,  // 1099
	false, // 1100
	true,  // 1101
	false, // 1102
	false, // 1103
	false, // 1104
	false, // 1105
	true,  // 1106
	true,  // 1107
	false, // 1108
	true,  // 1109
	true,  // 1110
	true,  // 1111
	true,  // 1112
	false, // 1113
	true,  // 1114
	true,  // 1115
	true,  // 1116
	true,  // 1117
	false, // 1118
	true,  // 1119
	true,  // 1120
	false, // 1121
	true,  // 1122
	false, // 1123
	false, // 1124
	true,  // 1125
	false, // 1126
	true,  // 1127 - unused
	false, // 1128
	true,  // 1129
	true,  // 1130
	false, // 1131
	false, // 1132
	true,  // 1133
	true,  // 1134
	true,  // 1135
	false, // 1136
	true,  // 1137
	true,  // 1138
	false, // 1139
	false, // 1140
	true,  // 1141
	false, // 1142
	true,  // 1143
	true,  // 1144
	true,  // 1145
	true,  // 1146
	false, // 1147
	false, // 1148
	false, // 1149
	false, // 1150
	false, // 1151
	false, // 1152
	true,  // 1153
	true,  // 1154
	true,  // 1155
	false, // 1156
	true,  // 1157
	false, // 1158
	true,  // 1159
	false, // 1160
	false, // 1161
	false, // 1162
	false, // 1163
	true,  // 1164
	true,  // 1165
	true,  // 1166
	false, // 1167
	true,  // 1168
	true,  // 1169
	true,  // 1170
	false, // 1171
	false, // 1172
	true,  // 1173
	true,  // 1174
	true,  // 1175
	false, // 1176
	false, // 1177
	true,  // 1178
	true,  // 1179
	true,  // 1180
	true,  // 1181
	true,  // 1182
	false, // 1183
	true,  // 1184
	true,  // 1185
	false, // 1186
	true,  // 1187
	false, // 1188
	false, // 1189
	true,  // 1190
	false, // 1191
	true,  // 1192
	true,  // 1193
	true,  // 1194
	true,  // 1195
	true,  // 1196
	true,  // 1197
	false, // 1198
	true,  // 1199
	true,  // 1200
	false, // 1201
	true,  // 1202
	false, // 1203
	true,  // 1204
	true,  // 1205
	true,  // 1206
	true,  // 1207 - unused
	true,  // 1208 - unused
	true,  // 1209
	true,  // 1210
	true,  // 1211
	false, // 1212
	true,  // 1213
	true,  // 1214
	true,  // 1215
	false, // 1216
	true,  // 1217
	true,  // 1218
	true,  // 1219
	true,  // 1220
	false, // 1221
	true,  // 1222
	true,  // 1223
	true,  // 1224
	true,  // 1225
	true,  // 1226
	true,  // 1227
	true,  // 1228
	true,  // 1229
	true,  // 1230
	true,  // 1231
	true,  // 1232
	true,  // 1233
	false, // 1234
	false, // 1235
	true,  // 1236
	false, // 1237
	true,  // 1238
	true,  // 1239
	true,  // 1240
	true,  // 1241
	false, // 1242
	true,  // 1243
	true,  // 1244
	true,  // 1245
	true,  // 1246
	false, // 1247
	false, // 1248
	false, // 1249
	true,  // 1250
	true,  // 1251
	false, // 1252
	true,  // 1253
	false, // 1254
	true,  // 1255
	true,  // 1256
	true,  // 1257
	true,  // 1258
	true,  // 1259
	true,  // 1260
	true,  // 1261 - unused
	true,  // 1262
	false, // 1263
	false, // 1264
	true,  // 1265
	false, // 1266
	true,  // 1267
	true,  // 1268
	false, // 1269
	true,  // 1270
	true,  // 1271
	false, // 1272
	true,  // 1273
	false, // 1274
	true,  // 1275
	false, // 1276
	true,  // 1277
	false, // 1278
	false, // 1279
	false, // 1280
	true,  // 1281
	false, // 1282
	false, // 1283
	false, // 1284
	true,  // 1285
	true,  // 1286
	false, // 1287
	false, // 1288
	true,  // 1289
	true,  // 1290
	false, // 1291
	true,  // 1292
	true,  // 1293
	true,  // 1294
	true,  // 1295
	false, // 1296
	false, // 1297
	false, // 1298
	false, // 1299
	false, // 1300
	true,  // 1301
	false, // 1302
	true,  // 1303
	true,  // 1304
	true,  // 1305
	true,  // 1306
	false, // 1307
	true,  // 1308
	true,  // 1309
	false, // 1310
	true,  // 1311
	true,  // 1312
	true,  // 1313
	true,  // 1314
	true,  // 1315
	true,  // 1316
	true,  // 1317 - unused
	true,  // 1318
	true,  // 1319
	true,  // 1320
	false, // 1321
	false, // 1322
	true,  // 1323
	true,  // 1324
	false, // 1325
	false, // 1326
	true,  // 1327
	true,  // 1328
	true,  // 1329
	false, // 1330
	false, // 1331
	false, // 1332
	false, // 1333
	true,  // 1334
	true,  // 1335
	false, // 1336
	true,  // 1337
	false, // 1338
	true,  // 1339
	false, // 1340
	false, // 1341
	true,  // 1342
	true,  // 1343
	true,  // 1344
	true,  // 1345
	true,  // 1346
	true,  // 1347
	false, // 1348
	false, // 1349
	true,  // 1350
	false, // 1351
	true,  // 1352
	false, // 1353
	false, // 1354
	true,  // 1355
	true,  // 1356
	true,  // 1357
	true,  // 1358
	false, // 1359
	false, // 1360
	true,  // 1361 - unused
	false, // 1362
	true,  // 1363 - unused
	true,  // 1364
	false, // 1365
	false, // 1366
	false, // 1367
	true,  // 1368
	true,  // 1369
	true,  // 1370
	true,  // 1371
	true,  // 1372
	false, // 1373
	true,  // 1374
	true,  // 1375
	true,  // 1376
	true,  // 1377
	false, // 1378
	true,  // 1379
	true,  // 1380
	true,  // 1381
	true,  // 1382
	true,  // 1383
	true,  // 1384
	true,  // 1385
	true,  // 1386
	false, // 1387
	false, // 1388
	true,  // 1389
	false, // 1390
	true,  // 1391
	true,  // 1392
	false, // 1393
	true,  // 1394
	false, // 1395
	true,  // 1396
	false, // 1397
	true,  // 1398
	true,  // 1399
	true,  // 1400
	true,  // 1401
	true,  // 1402
	false, // 1403
	false, // 1404
	false, // 1405
	false, // 1406
	false, // 1407
	true,  // 1408
	false, // 1409
	true,  // 1410
	false, // 1411
	true,  // 1412
	true,  // 1413
	true,  // 1414
	true,  // 1415
	true,  // 1416
	false, // 1417
	false, // 1418
	true,  // 1419
	true,  // 1420
	true,  // 1421
	false, // 1422
	true,  // 1423
	false, // 1424
	true,  // 1425
	false, // 1426
	true,  // 1427
	true,  // 1428
	true,  // 1429
	true,  // 1430
	false, // 1431
	false, // 1432
	true,  // 1433
	true,  // 1434
	false, // 1435
	false, // 1436
	false, // 1437
	false, // 1438
	true,  // 1439
	true,  // 1440
	true,  // 1441
	false, // 1442
	false, // 1443
	true,  // 1444
	false, // 1445
	true,  // 1446
	false, // 1447
	true,  // 1448
	true,  // 1449
	false, // 1450
	false, // 1451
	false, // 1452
	true,  // 1453
	false, // 1454
	true,  // 1455
	false, // 1456
	true,  // 1457
	true,  // 1458
	true,  // 1459
	true,  // 1460
	true,  // 1461 - unused
	true,  // 1462
	true,  // 1463
	true,  // 1464
	true,  // 1465
	true,  // 1466
	false, // 1467
	false, // 1468
	true,  // 1469
	false, // 1470
	true,  // 1471
	false, // 1472
	false, // 1473
	true,  // 1474
	true,  // 1475
	true,  // 1476
	false, // 1477
	true,  // 1478
	false, // 1479
	false, // 1480
	true,  // 1481
	true,  // 1482
	false, // 1483
	true,  // 1484
	false, // 1485
	true,  // 1486
	true,  // 1487
	true,  // 1488
	false, // 1489
	false, // 1490
	true,  // 1491
	true,  // 1492
	false, // 1493
	true,  // 1494
	true,  // 1495
	true,  // 1496
	true,  // 1497
	false, // 1498
	true,  // 1499
	true,  // 1500
	false, // 1501
	true,  // 1502
	false, // 1503
	true,  // 1504
	false, // 1505
	true,  // 1506
	true,  // 1507
	false, // 1508
	false, // 1509
	false, // 1510
	true,  // 1511
	true,  // 1512
	false, // 1513
	false, // 1514
	false, // 1515
	false, // 1516
	true,  // 1517
	true,  // 1518
	true,  // 1519
	true,  // 1520
	true,  // 1521
	false, // 1522
	true,  // 1523
	true,  // 1524
	true,  // 1525
	true,  // 1526
	false, // 1527
	false, // 1528
	false, // 1529
	false, // 1530
	true,  // 1531
	false, // 1532
	false, // 1533
	true,  // 1534
	false, // 1535
	false, // 1536
	false, // 1537
	false, // 1538
	false, // 1539
	true,  // 1540
	true,  // 1541
	true,  // 1542
	true,  // 1543
	true,  // 1544
	false, // 1545
	false, // 1546
	false, // 1547
	true,  // 1548
	true,  // 1549
	false, // 1550
	false, // 1551
	true,  // 1552
	false, // 1553
	false, // 1554
	false, // 1555
	false, // 1556
	true,  // 1557
	false, // 1558
	false, // 1559
	true,  // 1560
	true,  // 1561
	true,  // 1562
	false, // 1563
	false, // 1564
	false, // 1565
	true,  // 1566
	true,  // 1567
	false, // 1568
	true,  // 1569
	false, // 1570
	true,  // 1571
	false, // 1572
	true,  // 1573
	false, // 1574
	true,  // 1575
	true,  // 1576
	false, // 1577
	true,  // 1578
	false, // 1579
	true,  // 1580
	false, // 1581
	true,  // 1582
	false, // 1583
	false, // 1584
	true,  // 1585
	true,  // 1586
	true,  // 1587
	true,  // 1588
	true,  // 1589
	false, // 1590
	false, // 1591
	true,  // 1592
	true,  // 1593
	true,  // 1594
	true,  // 1595
	true,  // 1596
	true,  // 1597
	false, // 1598
	true,  // 1599
	true,  // 1600
	true,  // 1601
	false, // 1602
	false, // 1603
	false, // 1604
	true,  // 1605
	false, // 1606
	false, // 1607
	false, // 1608
	false, // 1609
	true,  // 1610
	false, // 1611
	true,  // 1612
	true,  // 1613
	true,  // 1614
	false, // 1615
	false, // 1616
	false, // 1617
	true,  // 1618
	true,  // 1619
	false, // 1620
	true,  // 1621
	true,  // 1622
	true,  // 1623
	false, // 1624
	false, // 1625
	true,  // 1626
	false, // 1627
	true,  // 1628
	true,  // 1629
	false, // 1630
	true,  // 1631
	true,  // 1632
	false, // 1633
	true,  // 1634
	true,  // 1635
	false, // 1636
	true,  // 1637
	true,  // 1638
	false, // 1639
	true,  // 1640
	true,  // 1641
	true,  // 1642
	true,  // 1643
	false, // 1644
	false, // 1645
	true,  // 1646
	true,  // 1647
	false, // 1648
	true,  // 1649
	true,  // 1650
	false, // 1651
	false, // 1652
	false, // 1653
	true,  // 1654
	true,  // 1655
	false, // 1656
	true,  // 1657
	true,  // 1658
	false, // 1659
	true,  // 1660
	false, // 1661
	true,  // 1662
	true,  // 1663 - unused
	true,  // 1664
	true,  // 1665
	false, // 1666
	false, // 1667
	true,  // 1668
	false, // 1669
	false, // 1670
	true,  // 1671
	true,  // 1672
	false, // 1673
	false, // 1674
	false, // 1675
	true,  // 1676
	true,  // 1677
	false, // 1678
	false, // 1679
	false, // 1680
	false, // 1681
	true,  // 1682
	false, // 1683
	true,  // 1684
	false, // 1685
	false, // 1686
	true,  // 1687
	true,  // 1688
	true,  // 1689
	false, // 1690
	true,  // 1691
	false, // 1692
	false, // 1693
	true,  // 1694
	false, // 1695
	false, // 1696
	true,  // 1697
	false, // 1698
	false, // 1699
	false, // 1700
	true,  // 1701 - unused
	false, // 1702
	false, // 1703
	true,  // 1704
	true,  // 1705
	false, // 1706
	false, // 1707
	true,  // 1708
	true,  // 1709
	true,  // 1710
	true,  // 1711
	true,  // 1712
	false, // 1713
	true,  // 1714
	true,  // 1715
	true,  // 1716
	true,  // 1717
	true,  // 1718
	true,  // 1719
	true,  // 1720
	true,  // 1721
	true,  // 1722
	false, // 1723
	true,  // 1724
}
